Loading...
Searching...
No Matches
vaapi_encode.c File Reference
`#include <stdio.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <libavcodec/avcodec.h>`
`#include <libavutil/pixdesc.h>`
`#include <libavutil/hwcontext.h>`

Go to the source code of this file.

## Functions

static int | set_hwframe_ctx (AVCodecContext *ctx, AVBufferRef *hw_device_ctx)
static int | encode_write (AVCodecContext *avctx, AVFrame *frame, FILE *fout)
int | main (int argc, char *argv[])

## Variables

static int | width
static int | height
static AVBufferRef * | hw_device_ctx = NULL

## Function Documentation

## set_hwframe_ctx()

static int set_hwframe_ctx | ( | AVCodecContext * | ctx,
|  | AVBufferRef * | hw_device_ctx
| ) |  |

static

Examples
  vaapi_encode.c.

Definition at line 41 of file vaapi_encode.c.

Referenced by main().

## encode_write()

static int encode_write | ( | AVCodecContext * | avctx,
|  | AVFrame * | frame,
|  | FILE * | fout
| ) |  |

static

Examples
  qsv_transcode.c, vaapi_encode.c, and vaapi_transcode.c.

Definition at line 71 of file vaapi_encode.c.

Referenced by dec_enc(), dec_enc(), main(), and main().

## main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 103 of file vaapi_encode.c.

## Variable Documentation

## width

int width

static

Definition at line 38 of file vaapi_encode.c.

## height

int height

static

Definition at line 38 of file vaapi_encode.c.

## hw_device_ctx

AVBufferRef* hw_device_ctx = NULL

static

Definition at line 39 of file vaapi_encode.c.